<?php
/**
 * @package n3tTemplate
 * @author Pavel Poles - n3t.cz
 * @copyright (C) 2010 - 2012 - Pavel Poles - n3t.cz
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgButtonN3tTemplate extends JPlugin
{

	function plgButtonN3tTemplate(& $subject, $config)
	{
		parent::__construct($subject, $config); 		
	}

	function onDisplay($name)
	{
	  $this->loadLanguage('', JPATH_ADMINISTRATOR);    
      
		$doc = JFactory::getDocument();
    $css = '.button2-left .n3ttemplate a {padding: 0 24px 0 6px !important; background: url("/media/com_n3ttemplate/images/icon-16-n3ttemplate.png") no-repeat scroll right transparent;}'."\n";
    $css.= '.button2-left .n3ttemplate {padding-right: 6px;}'."\n";
    $css.= 'i.icon-n3ttemplate {background: transparent url("/media/com_n3ttemplate/images/icon-16-n3ttemplate.png") center no-repeat;}'."\n";
    $doc->addStyleDeclaration($css);
     
		JHTML::_('behavior.modal');
    $link = 'index.php?option=com_n3ttemplate&amp;view=button&amp;tmpl=component&amp;e_name='.$name;
    
		$button = new JObject();
		$button->modal = true;
		$button->link = $link;
    $button->class = 'btn n3ttemplate';
		$button->text = JText::_('PLG_EDITORS_XTD_N3TTEMPLATE_TEMPLATES');
		$button->name = 'n3ttemplate';
		$button->options = "{handler: 'iframe', size: {x: 570, y: 400}}";

    $this->autoTemplate($name);
    
		return $button;
	}
	
	function autoTemplate($name) 
	{
	  $app = JFactory::getApplication();
	  if ($app->isAdmin()) {
      $useAutoTemplate = JRequest::getCmd('option')=='com_content'
        && JRequest::getCmd('view')=='article'
        && JRequest::getCmd('layout')=='edit'
        && !JRequest::getInt('id');
    } else {
      $useAutoTemplate = JRequest::getCmd('option')=='com_content'
        && JRequest::getCmd('view')=='form'
        && JRequest::getCmd('layout')=='edit'
        && !JRequest::getInt('a_id');
    }
    if ( $useAutoTemplate ) {
      JHtml::_('behavior.framework');
      $doc = JFactory::getDocument();
      $getContent = $this->_subject->getContent($name); 
      $setContent = $this->_subject->setContent($name,'response');
      // JCE strange behavior
      $setContent = str_replace("'response'", "response", $setContent);       
      $catName = 'jform[catid]';
      $confirm = JText::_('PLG_EDITORS_XTD_N3TTEMPLATE_AUTOTEMPLATE_CONFIRM_REPLACE',false, false);
      $script =
        'var n3tLastTemplate = "";'."\n".
        ''."\n".
        'function n3tSetAutoTemplate(response) {'."\n".
        '  var content = '.$getContent."\n".
        '  if (response) {'."\n".
        '    var canLoad = true;'."\n".
        '    if (content && (content!=n3tLastTemplate))'."\n".
        '       canLoad = confirm("'.$confirm.'");'."\n".
        '    if (canLoad) {'."\n".
        '      '.$setContent."\n".
        '      n3tLastTemplate = '.$getContent."\n".
        '    }'."\n".
        '  }'."\n".
        '}'."\n".
        ''."\n".
        'function n3tLoadAutoTemplate() {'."\n".
        '  var catid = document.getElement("select[name='.$catName.']");'."\n".
        '  if (catid) {'."\n".
        '    new Request({'."\n".
        '      method : "get",'."\n".
        '      url: "'.JURI::base().'index.php?option=com_n3ttemplate&view=button&task=autotemplate&id="+catid.get("value"),'."\n".
        '      onComplete : function(response) {'."\n".
        '        n3tSetAutoTemplate(response);'."\n".
        '      }'."\n".
        '    }).send();'."\n".
        '  }'."\n".
        '}'."\n".
        ''."\n".        
        'window.addEvent("domready",function() {'."\n".
        '  var catid = document.getElement("select[name='.$catName.']");'."\n".
        '  if (catid) {'."\n".
        '     jQuery("#jform_catid").on("change", function (e) {'."\n".
        '        n3tLoadAutoTemplate();'."\n".
        '    });'."\n".
        '    catid.addEvent("change",function(e) {'."\n".
        '      n3tLoadAutoTemplate();'."\n".
        '    })'."\n".
        '  }'."\n";
      $script.=
        '})'."\n".
        ''."\n".
        'window.addEvent("load",function() {'."\n".
        '  n3tLoadAutoTemplate();'."\n".        
        '})'."\n";
      $doc->addScriptDeclaration($script); 
    }   	
	}
}
